<div class="row justify-content-center">
  <div class="col-8">
    <div *ngIf="area">
      <h2 data-cy="areaDetailsHeading"><span jhiTranslate="madmApp.area.detail.title">Area</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="global.field.id">ID</span></dt>
        <dd>
          <span>{{ area.id }}</span>
        </dd>
        <dt><span jhiTranslate="madmApp.area.codArea">Cod Area</span></dt>
        <dd>
          <span>{{ area.codArea }}</span>
        </dd>
        <dt><span jhiTranslate="madmApp.area.descricao">Descricao</span></dt>
        <dd>
          <span>{{ area.descricao }}</span>
        </dd>
        <dt><span jhiTranslate="madmApp.area.solicitacao">Solicitacao</span></dt>
        <dd>
          <div *ngIf="area.solicitacao">
            <a [routerLink]="['/solicitacao', area.solicitacao?.id, 'view']">{{ area.solicitacao?.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
      </button>

      <button type="button" [routerLink]="['/area', area.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
      </button>
    </div>
  </div>
</div>
